/* 
*
*  ProLinga-Run
*
*  Copyright (C) 2002-2008 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Run.
*
*  ProLinga-Run is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Run is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Run.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __INIT_RUN_ENVIRONMENT_HPP
#define __INIT_RUN_ENVIRONMENT_HPP

class BiAppn biAppn;
class BiAppnDev biAppnDev;
class BiDataModelStatus biDataModelStatus;
class BiErrorReturn biErrorReturn;
class BiValidateStatus biValidateStatus;
class BiSqlInfo biSqlInfo;
class BiSqlReturn biSqlReturn;
class BiSqlStatus biSqlStatus;
class BiTableStatus biTableStatus;
class BiThreadStatus biThreadStatus;
class BiThreadExit biThreadExit;
class BiRepositoryStatus biRepositoryStatus;
class BiListColCount biListColCount;
class BiListRowCount biListRowCount;
class BiTextStatus biTextStatus;
class BiUser biUser;
class BiXmlStatus biXmlStatus;
class LcResponse lcResponse;
class BiQuitLastScreen biQuitLastScreen;

BiAppnPtr biAppnPtr = &biAppn;
BiAppnDevPtr biAppnDevPtr = &biAppnDev;
BiDataModelStatusPtr biDataModelStatusPtr = &biDataModelStatus;
BiErrorReturnPtr biErrorReturnPtr = &biErrorReturn;
BiValidateStatusPtr biValidateStatusPtr = &biValidateStatus;
BiSqlInfoPtr biSqlInfoPtr = &biSqlInfo;
BiSqlReturnPtr biSqlReturnPtr = &biSqlReturn;
BiSqlStatusPtr biSqlStatusPtr = &biSqlStatus;
BiRepositoryStatusPtr biRepositoryStatusPtr = &biRepositoryStatus;
BiTableStatusPtr biTableStatusPtr = &biTableStatus;
BiThreadStatusPtr biThreadStatusPtr = &biThreadStatus;
BiThreadExitPtr biThreadExitPtr = &biThreadExit;
BiListColCountPtr biListColCountPtr = &biListColCount;
BiListRowCountPtr biListRowCountPtr = &biListRowCount;
//BiFalsePtr biFalsePtr = &biFalse;
BiFalsePtr biFalsePtr = NULL;
BiTextStatusPtr biTextStatusPtr = &biTextStatus;
BiUserPtr biUserPtr = &biUser;
BiXmlStatusPtr biXmlStatusPtr = &biXmlStatus;
//BiTruePtr biTruePtr = &biTrue;
BiTruePtr biTruePtr = NULL;
BiQuitLastScreenPtr biQuitLastScreenPtr = &biQuitLastScreen;

/* Logic Command data */
LcResponsePtr lcResponsePtr = &lcResponse;

/* DataRef pointers */
CaDataSessionPtr caDataSesPtr = NULL;
ConstantPtr consPtr = NULL;
DataModelPtr dmPtr = NULL;
VariablePtr varPtr = NULL;
LocalDicPtr ldicPtr = NULL;
VariableGroupPtr vgrpPtr = NULL;
TablePtr tablePtr = NULL;
PickListPtr pickPtr = NULL;
ParameterStackPtr pstackPtr = NULL;
DataReturnStackPtr dstackPtr = NULL;
DesktopScreenPtr desktopScreenPtr = NULL;
ScreenStackPtr dialogStackPtr = NULL;
ListStorePtr listStorePtr = NULL;
TextDocumentPtr textPtr = NULL;
XmlDocumentPtr xmlPtr = NULL;
ForCountStackPtr forStackPtr = NULL;
ForBreakStackPtr breakStackPtr = NULL;
ThreadPtr threadPtr = NULL;

#endif /* __INIT_RUN_ENVIRONMENT_HPP */
