/* 
*
*  ProLinga-Run
*
*  Copyright (C) 2002-2009 Xobas Software.
*  All rights reserved.
*  
*  This file is part of ProLinga-Run.
*
*  ProLinga-Run is free software: you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation, either version 3 of the License, or
*  (at your option) any later version.
*
*  ProLinga-Run is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with ProLinga-Run.  If not, see <http://www.gnu.org/licenses/>.
*
*  More information is available at the following addresses:
*
*  Website     : http://www.prolinga.org
*
*  Email       : prolinga-list@prolinga.org
*
*
*/

#ifndef __MAIN_HPP
#define __MAIN_HPP

/* Environment */

/* XML Document layout */
#define XML_VERSION		"1.0"
#define RUN_DOC_VERSION		"1.0"
#define ROOT_ELEM		"ProLinga"

#define	PARSE_FILE		0
#define PARSE_MEMORY		1

/* Logging */
#define LOG_LINE_LENGTH		255

/* Data Interface Types*/
#define DI_GDA		"GDA"
#define DI_REPOSITORY	"Repository"

/* Developer application */
#define PL_APPN_DEV	"Developer"

/* Invalid date */
#define PL_INVALID_DATE		"1900-01-01"

#endif /* __MAIN_HPP */
